<?php

namespace Osinet\DemoBundle\Controller;

use Osinet\DemoBundle\DemoCode;
use Osinet\DemoBundle\DependencyInjection\OsinetDemoExtension;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

/**
 * Class DemoController
 *
 * @package Osinet\DemoBundle\Controller
 */
class DemoController extends AbstractController {

  /**
   *
   * @Route(
   *   name = "osinet_demo_front",
   *   path = "/",
   *   methods = {"GET"}
   * )
   */
  public function homeController(DemoCode $demoCode = null) {
    $message = '';
    if (!isset($demoCode)) {
      $demoCode = $this->get(OsinetDemoExtension::S_DEMO);
      $message .= "<p>demoCode fetched manually</p>\n";
    }
    else {
      $message .= "<p>demoCode passed as argument</p>\n";
    }
    $message .= $demoCode->getMessage();
    return new Response("Demo! $message");
  }
}
