<?php

namespace Osinet\DemoBundle;

use Symfony\Component\DependencyInjection\ContainerInterface;

class DemoCode {

  protected $message;

  public function __construct(ContainerInterface $container, string $codeMessage) {
    // Notice how $messageParameter is the unprefixed parameter, while the injected
    // parameter includes the configured prefix.
    $messageParameter = $container->getParameter('osinet_demo.message');
    $this->message = $codeMessage;
  }

  public function getMessage() {
    return $this->message;
  }
}
