* This directory/namespace is used for Unit and Functional Tests
* A bundle should come with a test suite written with PHPUnit and stored under 
  the `Tests/` directory. 
* Tests should follow the following principles:
  * The test suite must be executable with a simple phpunit command run from a 
    sample application;
  * The functional tests should only be used to test the response output and 
    some profiling information if you have some;
  * The tests should cover at least 95% of the code base.
* A test suite MUST NOT contain `AllTests.php` scripts, but must rely on the 
  existence of a `phpunit.xml.dist` file.
